part of 'auth_bloc.dart';

sealed class AuthEvent extends Equatable {
  const AuthEvent();
}

final class PasswordVisibilityEvent extends AuthEvent {
  const PasswordVisibilityEvent();

  @override
  List<Object?> get props => [];
}

final class OnInputEnterEvent extends AuthEvent {
  final String login;
  final String password;

  const OnInputEnterEvent({required this.login, required this.password});

  @override
  List<Object?> get props => [login, password];
}

final class SubmitEvent extends AuthEvent {
  final String login;
  final String password;

  const SubmitEvent({required this.login, required this.password});

  @override
  List<Object?> get props => [login, password];
}
